Sie sind nicht angemeldet.

1

22.01.2006, 19:14

Probleme mit OpneGL bei Enemy Territory

Hallo alle,

erstmal zu meinem System:

2,0GHz Intel / 1024 Ram / Nvidia 6600 GT / Fedora 4 / KDE 3.5

Das Spiel um das es geht ist ET zu finden bei zBsp.: www.et-scene.de

Das Spiel erfordert Hardware OpenGL unterstüzung. Zu diesem Zweck habe ich den neusten Nvidia Treiber installiert und auch entsprechend die xorg.conf geändert von "nv" auf "nvidia" und die angegebenen Module ge- bzw entladen.

Leider habe ich immer noch das Problem, dass das Hardware OpenGL nicht erkannt wird. Ausgabe des Spiels:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
...loading libGL.so.1: Initializing OpenGL display
...setting mode 4: 800 600
Using XFree86-VidModeExtension Version 2.2
XF86DGA Mouse (Version 2.0) initialized
XFree86-VidModeExtension Activated at 800x600
Using 8/8/8 Color bits, 16 depth, 0 stencil display.
GL_RENDERER: Mesa GLX Indirect


***********************************************************
 You are using software Mesa (no hardware acceleration)!
 Driver DLL used: libGL.so.1
 If this is intentional, add
       "+set r_allowSoftwareGL 1"
 to the command line when starting the game.
***********************************************************
...WARNING: could not set the given mode (4)
Initializing OpenGL display
...setting mode 3: 640 480
Using XFree86-VidModeExtension Version 2.2
XF86DGA Mouse (Version 2.0) initialized
XFree86-VidModeExtension Activated at 640x480
Received signal 11, exiting...


Aber eigentlich sollte es Hardware unterstüzung bekommen, da die libGL.so.1 auf den Nvidia-Treiber verweist:

Quellcode

1
2
3
4
5
3559529 lrwxrwxrwx  1 root root      21 21. Jan 16:58 /usr/lib/libGLcore.so.1 -> libGLcore.so.1.0.8178
3528667 -rwxr-xr-x  1 root root 8136248 21. Jan 16:58 /usr/lib/libGLcore.so.1.0.8178
3529913 lrwxrwxrwx  1 root root      19 22. Jan 17:52 /usr/lib/libGL.so -> /usr/lib/libGL.so.1
1078250 lrwxrwxrwx  1 root root      17 21. Jan 22:29 /usr/lib/libGL.so.1 -> libGL.so.1.0.8178
3528666 -rwxr-xr-x  1 root root  535264 21. Jan 16:58 /usr/lib/libGL.so.1.0.8178


wobei hier 1.0.8178 ja die Treiberversion meines Nvidi-Treibers ist.

Hier die Ausgabe von glxinfo:

Quellcode

1
2
3
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.2 (1.5 Mesa 6.2.1)


Leider Mesa und nicht Nvidia....
Irgendwelche Ideen wie ich die OpenGL-Treiber von Nvidia nun istalliert bekomme?

Gruß

Para

2

22.01.2006, 20:14

RE: Probleme mit OpneGL bei Enemy Territory

Hat sich erledigt...

Hatte den Nvidia-Treiber während der Init 2 und nicht Init 3 installiert.

Thema bewerten